Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.crypto.modes.gcm
Class BasicGCMMultiplier

    java.lang.Object
      org.bouncycastle.crypto.modes.gcm.BasicGCMMultiplier

All Implemented Interfaces:
  GCMMultiplier

    public class BasicGCMMultiplier

extends java.lang.Object
implements GCMMultiplier

Constructor Summary
`BasicGCMMultiplier()`

Method Summary
`void` | `init(byte[] H)`
`void` | `multiplyH(byte[] x)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicGCMMultiplier

    public BasicGCMMultiplier()

Method Detail

### init

    public void init(byte[] H)

  Specified by:
    `init` in interface `GCMMultiplier`

### multiplyH

    public void multiplyH(byte[] x)

  Specified by:
    `multiplyH` in interface `GCMMultiplier`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD